Get Workforce Test Configuration

Version 4.0.26.22 (latest)

Get a Workforce test configuration by test_slug.

Calls to this endpoint may only be available for Looker (Google Cloud core).

Request

GET /workforce_test_configs/{test_slug}
Datatype
Description
Request
HTTP Request
path
HTTP Path
Expand HTTP Path definition...
test_slug
string
Slug of test config

Response

200: Workforce test config.

Datatype
Description
(object)
can
object
Operations the current user is able to perform on this object
enabled
boolean
Enable/Disable Workforce authentication for the server. This property cannot be modified on Looker (Google Cloud core) instances. Manage this setting via the instance configuration page instead.
new_user_migration_types
string
Merge first-time workforce login to existing user account by email addresses. When a user logs in for the first time via workforce this option will connect this user into their existing account by finding the account with a matching email address by testing the given types of credentials for existing users. Otherwise a new user account will be created for the user. This list (if provided) must be a comma separated list of string like 'email,ldap,google'
test_slug
string
Slug to identify configurations that are created in order to run a Workforce config test
modified_at
string
When this config was last modified
modified_by
string
User id of user who last modified this config
default_new_user_roles
Role[]
Expand Role definition...
can
object
Operations the current user is able to perform on this object
id
string
Unique Id
name
string
Name of Role
permission_set
(Read only) Permission set
Expand PermissionSet definition...
can
object
Operations the current user is able to perform on this object
all_access
boolean
built_in
boolean
id
string
Unique Id
name
string
Name of PermissionSet
permissions
string[]
url
string
Link to get this item
permission_set_id
string
(Write-Only) Id of permission set
model_set
(Read only) Model set
Expand ModelSet definition...
can
object
Operations the current user is able to perform on this object
all_access
boolean
built_in
boolean
id
string
Unique Id
models
string[]
name
string
Name of ModelSet
url
string
Link to get this item
model_set_id
string
(Write-Only) Id of model set
internal
boolean
Is this a Looker internal role
url
string
Link to get this item
users_url
string
Link to get list of users with this role
default_new_user_role_ids
string[]
default_new_user_groups
Group[]
Expand Group definition...
can
object
Operations the current user is able to perform on this object
can_add_to_content_metadata
boolean
Group can be used in content access controls
contains_current_user
boolean
Currently logged in user is group member
external_group_id
string
External Id group if embed group
externally_managed
boolean
Group membership controlled outside of Looker
id
string
Unique Id
include_by_default
boolean
New users are added to this group by default
name
string
Name of group
user_count
integer
Number of users included in this group
default_new_user_group_ids
string[]
set_roles_from_groups
boolean
Set user roles in Looker based on groups from Workforce
Expand WorkforceGroupRead definition...
id
string
Unique Id
looker_group_id
string
Unique Id of group in Looker
looker_group_name
string
Name of group in Looker
name
string
Name of group in Workforce
roles
Role[]
Expand Role definition...
can
object
Operations the current user is able to perform on this object
id
string
Unique Id
name
string
Name of Role
permission_set
(Read only) Permission set
permission_set_id
string
(Write-Only) Id of permission set
model_set
(Read only) Model set
model_set_id
string
(Write-Only) Id of model set
internal
boolean
Is this a Looker internal role
url
string
Link to get this item
users_url
string
Link to get list of users with this role
groups_with_role_ids
Expand WorkforceGroupWrite definition...
id
string
Unique Id
looker_group_id
string
Unique Id of group in Looker
looker_group_name
string
Name of group in Looker
name
string
Name of group in Workforce
role_ids
string[]
user_attributes
Expand WorkforceUserAttributeRead definition...
name
string
Name of User Attribute in Workforce
required
boolean
Required to be in Workforce assertion for login to be allowed to succeed
user_attributes
Expand UserAttribute definition...
can
object
Operations the current user is able to perform on this object
id
string
Unique Id
name
string
Name of user attribute
label
string
Human-friendly label for user attribute
type
string
Type of user attribute ("string", "number", "datetime", "yesno", "zipcode", "advanced_filter_string", "advanced_filter_number", "file")
default_value
string
Default value for when no value is set on the user
is_system
boolean
Attribute is a system default
is_permanent
boolean
Attribute is permanent and cannot be deleted
value_is_hidden
boolean
If true, users will not be able to view values of this attribute
user_can_view
boolean
Non-admin users can see the values of their attributes and use them in filters
user_can_edit
boolean
Users can change the value of this attribute for themselves
hidden_value_domain_whitelist
string
Destinations to which a hidden attribute may be sent. Once set, cannot be edited.
needed_for_ci_run
boolean
Whether this user attribute is needed for a CI run
value_for_ci_run
string
The value to use for this user attribute during a CI run
user_attributes_with_ids
Expand WorkforceUserAttributeWrite definition...
name
string
Name of User Attribute in Workforce
required
boolean
Required to be in Workforce assertion for login to be allowed to succeed
user_attribute_ids
string[]
allow_normal_group_membership
boolean
Allow Workforce auth'd users to be members of non-reflected Looker groups. If 'false', user will be removed from non-reflected groups on login.
allow_roles_from_normal_groups
boolean
Workforce auth'd users will inherit roles from non-reflected Looker groups.
allow_direct_roles
boolean
Allows roles to be directly assigned to Workforce auth'd users.
auth_requires_role
boolean
Users will not be allowed to login at all unless a role for them is found in Workforce if set to true
bypass_login_page
boolean
Bypass the login page and redirect to Workforce Identity Federation if set to true
url
string
Link to get this item

403: Permission Denied

Datatype
Description
(object)
message
string
Error details
documentation_url
string
Documentation link

404: Not Found

Datatype
Description
(object)
message
string
Error details
documentation_url
string
Documentation link

429: Too Many Requests

Datatype
Description
(object)
message
string
Error details
documentation_url
string
Documentation link